
import javax.xml.soap.*;
import javax.xml.messaging.*;

import java.util.*;

import java.io.*;

public class MyUddiPing {

    public static void main(String[] args) {
        try {

            if (args.length != 2)  {
                System.err.println("Usage: UddiPing properties-file business-name");
                System.exit(1);
            }


            Properties myprops = new Properties();
            myprops.load(new FileInputStream(args[0]));
            
            
            Properties props = System.getProperties();
            
            Enumeration it = myprops.propertyNames();
            while (it.hasMoreElements()) {
                String s = (String) it.nextElement();
                props.put(s, myprops.getProperty(s));
            }
            

            // Create the connection and the message factory
     	    SOAPConnectionFactory scf = SOAPConnectionFactory.newInstance();
            SOAPConnection connection = scf.createConnection();
            MessageFactory msgFactory = MessageFactory.newInstance();
            
            // Create a message
            SOAPMessage msg = msgFactory.createMessage();
            
            // Get the envelope from the message's SOAP part
            SOAPEnvelope envelope = msg.getSOAPPart().getEnvelope();
            
            // Get the SOAP body from the envelope 
            SOAPBody body = envelope.getBody();

            SOAPBodyElement findBusiness = body.addBodyElement(envelope.
			      createName("find_business", "", "urn:uddi-org:api"));
            findBusiness.addAttribute(envelope.createName("generic"),
                              "1.0");
            findBusiness.addAttribute(envelope.createName("maxRows"),
                              "100");
            SOAPElement businessName = findBusiness.addChildElement(
			                         envelope.createName("name"));
			businessName.addTextNode(args[1]);
            
            URLEndpoint endpoint
                = new URLEndpoint(System.getProperties().getProperty("URL"));

            msg.saveChanges();
            
            
            SOAPMessage reply = connection.call(msg, endpoint);
            
            System.out.println("Received reply from: " + endpoint);
            
            reply.writeTo(System.out);
            
			SOAPBody replyBody = 
					reply.getSOAPPart().getEnvelope().getBody();

			System.out.println("");        
			System.out.println("");        
			System.out.print(
				"Content extracted from the reply message: ");        
			Iterator iter1 = replyBody.getChildElements();        
			while (iter1.hasNext()) {
				SOAPBodyElement bodyElement = 
								(SOAPBodyElement)iter1.next();       
				Iterator iter2 = bodyElement.getChildElements();
				while (iter2.hasNext()) {
					SOAPElement child2 = 
								(SOAPElement)iter2.next();
					Iterator iter3 = child2.getChildElements();
					String content = child2.getValue();      
					System.out.println(content);
					while (iter3.hasNext()) {
						SOAPElement child3 = 
								(SOAPElement)iter3.next();
						Iterator iter4 = 
								child3.getChildElements();
						content = child3.getValue();      
						System.out.println(content);
						while (iter4.hasNext()) {
							SOAPElement child4 = 
								(SOAPElement)iter4.next();
							content = child4.getValue();      
							System.out.println(content);
						}
					}
				}	

			}

            connection.close();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}

        
                            
            
            
            
