package simplebean;

import java.math.BigDecimal;

public class HelloClient {

    public static void main(String[] args) {

        try {

            String endpoint = args[0];
            HelloIF_Stub stub = getStub(endpoint);
            // System.out.println(stub.sayHello("Duke!"));

            demoArray(stub);
            demoBean(stub);

        } catch (Exception ex) {
            ex.printStackTrace();
        }
    } // main   

    private static HelloIF_Stub getStub(String endpoint) {

        HelloIF_Stub stub = null;
        try {
            stub =
                (HelloIF_Stub)(new HelloWorld_Impl().getHelloIF());
            stub._setProperty(
                javax.xml.rpc.Stub.ENDPOINT_ADDRESS_PROPERTY,
                endpoint);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return stub;

    } // getStub

    private static void demoArray(HelloIF_Stub stub) {

        try {
            String[] words = {"it", "was", "a", "dark", "and",
                              "stormy", "night"};

            System.out.println("demoArray method:");
            for (int j = 0; j < words.length; j++) {
                System.out.print(words[j] + " ");
            }
            System.out.println();

            String[] backwards = stub.reverse(words);

            for (int j = 0; j < backwards.length; j++) {
                System.out.print(backwards[j] + " ");
            }
            System.out.println();

        } catch (Exception ex) {
            ex.printStackTrace();
        }
    } // demoArray

    private static void demoBean(HelloIF_Stub stub) {

        try {
            System.out.println();
            System.out.println("demoBean method:");
            SimpleAccountBean dukesAccount = new SimpleAccountBean();
            dukesAccount.setBalance(new BigDecimal("1200.00"));
            dukesAccount.setCustomerName("Duke");
            BigDecimal newBalance = stub.calculateInterest(dukesAccount);
            System.out.println("newBalance: " + newBalance);
            dukesAccount.setBalance(newBalance);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    } // demoBean

} // class
