<%--
 
  Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
  
  This software is the proprietary information of Sun Microsystems, Inc.  
  Use is subject to license terms.
  
--%>

<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="/jstl-fmt" prefix="fmt" %>
<%@ taglib uri="/jstl-sql" prefix="sql" %>
<%@ page import="java.util.*" %>
<%@ page errorPage="errorpage.jsp" %>

<c:if test="${param.bookId != null}">
  <c:set var="bid" value="${param.bookId}"/>

  <sql:query var="books" dataSource="${application.bookDS}">
    select * from PUBLIC.books where id = ?
    <sql:param value="${bid}" />
  </sql:query>
   
  <c:forEach var="book" begin="0" items="${books.rows}">
      <h2><c:out value="${book.TITLE}"/></h2>
      &nbsp;<fmt:message key="By"/> <em><c:out value="${book.FIRST_NAME}"/> <c:out value="${book.SURNAME}"/></em>&nbsp;&nbsp;
      (<c:out value="${book.YR}"/>)<br> &nbsp; <br>
      <h4><fmt:message key="Critics"/></h4>
      <blockquote><c:out value="${book.DESCRIPTION}"/>
      </blockquote>
      <h4><fmt:message key="ItemPrice"/>: <fmt:formatNumber value="${book.PRICE}" type="currency"/> 
    </h4>
  </c:forEach>
    <c:url var="url" value="${pageContext.request.contextPath}/catalog" >
      <c:param name="Add" value="${bid}" />
    </c:url> 
    <p><strong><a href="<c:out value='${url}'/>"><fmt:message key="CartAdd"/></a>&nbsp; &nbsp; &nbsp;
</c:if>

    <c:url var="url" value="${pageContext.request.contextPath}/catalog" >
      <c:param name="Add" value="" />
    </c:url>
    <a href="<c:out value='${url}'/>"><fmt:message key="ContinueShopping"/></a></p></strong>

