<%--
 
  Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
  
  This software is the proprietary information of Sun Microsystems, Inc.  
  Use is subject to license terms.
  
--%>

<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="/jstl-fmt" prefix="fmt" %>
<%@ taglib uri="/jstl-sql" prefix="sql" %>
<%@ page errorPage="errorpage.jsp" %>
<jsp:useBean id="cart" class="cart.ShoppingCart" scope="session"/>

<c:if test="${param.Add != null}">
  <c:set var="bid" value="${param.Add}"/>

  <sql:query var="books" dataSource="${application.bookDS}">
    select * from PUBLIC.books where id = ?
    <sql:param value="${bid}" />
  </sql:query>

  <c:forEach var="bookRow" begin="0" items="${books.rowsByIndex}"> 
    <jsp:useBean id="bid"  type="java.lang.String" />
    <jsp:useBean id="bookRow"  type="java.lang.Object[]" />
    <jsp:useBean id="addedBook" class="database.BookDetails" scope="page" />
      <jsp:setProperty name="addedBook" property="bookId" value="<%=bookRow[0]%>" />
      <jsp:setProperty name="addedBook" property="surname" value="<%=bookRow[1]%>" />
      <jsp:setProperty name="addedBook" property="firstName" value="<%=bookRow[2]%>" />
      <jsp:setProperty name="addedBook" property="title" value="<%=bookRow[3]%>" />
      <jsp:setProperty name="addedBook" property="price" value="<%=((Double)bookRow[4]).floatValue()%>" />
      <jsp:setProperty name="addedBook" property="year" value="<%=(Integer)bookRow[5]%>" />
      <jsp:setProperty name="addedBook" property="description" value="<%=bookRow[6]%>" />
      <jsp:setProperty name="addedBook" property="inventory" value="<%=(Integer)bookRow[7]%>" />
    </jsp:useBean>
    <% cart.add(bid, addedBook); %>
    <p><h3><font color="red" size="+2"> 
    <fmt:message key="CartAdded1"/> <em><c:out value="${bookRow[3]}"/></em> <fmt:message key="CartAdded2"/></font></h3>
  </c:forEach>
</c:if>

<c:if test="${session.cart.numberOfItems > 0}">     
  <c:url var="url" value="${pageContext.request.contextPath}/showcart" >
    <c:param name="Clear" value="0" />
    <c:param name="Remove" value="0" />
  </c:url>
<p><strong><a href="<c:out value='${url}'/>"><fmt:message key="CartCheck"/></a>&nbsp;&nbsp;&nbsp;
    <c:url var="url" value="${pageContext.request.contextPath}/cashier" />
    <a href="<c:out value='${url}'/>"><fmt:message key="Buy"/></a></p></strong>
</c:if>

<br>&nbsp;
<br>&nbsp;
<h3><fmt:message key="Choose"/></h3>
<center>
<table>

<sql:query var="books" dataSource="${bookDS}">
  select * from PUBLIC.books
</sql:query> 

<c:forEach var="book" begin="0" items="${books.rows}">
    <tr>
    <c:set var="bookId" value="${book.ID}" />
    <td bgcolor="#ffffaa"> 
        <c:url var="url" value="${pageContext.request.contextPath}/bookdetails" >
          <c:param name="bookId" value="${bookId}" />
      		<c:param name="Clear" value="0" />
        </c:url>
        <a href="<c:out value='${url}'/>"><strong><c:out value="${book.TITLE}"/>&nbsp;</strong></a></td> 
    <td bgcolor="#ffffaa" rowspan=2> 
    <fmt:formatNumber value="${book.PRICE}" type="currency"/> 
    &nbsp;</td> 

    <td bgcolor="#ffffaa" rowspan=2> 
    <c:url var="url" value="${pageContext.request.contextPath}/catalog" >
      <c:param name="Add" value="${bookId}" />
    </c:url> 
    <p><strong><a href="<c:out value='${url}'/>">&nbsp;<fmt:message key="CartAdd"/>&nbsp;</a></td></tr> 

    <tr> 
    <td bgcolor="#ffffff"> 
    &nbsp;&nbsp;<fmt:message key="By"/> <em><c:out value="${book.FIRST_NAME}"/>&nbsp;<c:out value="${book.SURNAME}"/></em></td></tr>
</c:forEach>

</table>
</center>

