<%--
 
  Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
  
  This software is the proprietary information of Sun Microsystems, Inc.  
  Use is subject to license terms.
  
--%>

<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="/jstl-fmt" prefix="fmt" %>
<%@ taglib uri="/jstl-sql" prefix="sql" %>
<%@ page errorPage="errorpage.jsp" %>
<%@ page import="java.util.*" %>

<jsp:useBean id="cart" class="cart.ShoppingCart" scope="session"/>

<c:if test="${param.Clear == 'clear'}">
    <% cart.clear(); %>
    <font color="red" size="+2"><strong> 
    <fmt:message key="CartCleared"/> 
    </strong><br>&nbsp;<br></font>
</c:if>


<c:if test="${param.Remove != '0'}">
    <c:set var="bookId" value="${param.Remove}"/>
    <jsp:useBean id="bookId" type="java.lang.String" />
    <% cart.remove(bookId); %>

    <sql:query var="books" dataSource="${application.bookDS}">
      select * from PUBLIC.books where id = ?
      <sql:param value="${bookId}" />
    </sql:query>

    <c:forEach var="book" begin="0" items="${books.rows}">
    <font color="red" size="+2"><fmt:message key="CartRemoved"/><em><c:out value="${book.TITLE}"/></em>.
    </c:forEach>
 
    <br>&nbsp;<br> 
    </font>
</c:if>

<c:if test="${session.cart.numberOfItems > 0}"> 
    <font size="+2"><fmt:message key="CartContents"/>
    <c:out value="${session.cart.numberOfItems}"/>
    <c:if test="${session.cart.numberOfItems == 1}"> 
      <fmt:message key="CartItem"/>.
    </c:if>
    <c:if test="${session.cart.numberOfItems > 1}"> 
    <fmt:message key="CartItems"/>.
    </c:if>
    </font><br>&nbsp;

    <table> 
    <tr> 
    <th align=left><fmt:message key="ItemQuantity"/></TH> 
    <th align=left><fmt:message key="ItemTitle"/></TH> 
    <th align=left><fmt:message key="ItemPrice"/></TH> 

    </tr>

    <c:forEach var="item" items="${session.cart.items}">
    		<c:set var="book" value="${item.item}" />

        <tr> 
        <td align="right" bgcolor="#ffffff"> 
        <c:out value="${item.quantity}"/>
        </td> 

        <td bgcolor="#ffffaa"> 
        <c:url var="url" value="${pageContext.request.contextPath}/bookdetails" >
          <c:param name="bookId" value="${book.bookId}" />
      		<c:param name="Clear" value="0" />
        </c:url>
        <strong><a href="<c:out value='${url}'/>"><c:out value='${book.title}'/></a></strong> 
        </td> 

        <td bgcolor="#ffffaa" align="right"> 
        <fmt:formatNumber value="${book.price}" type="currency"/>&nbsp;</td>  
        </td> 

        <td bgcolor="#ffffaa"> 
        <c:url var="url" value="${pageContext.request.contextPath}/showcart" >
          <c:param name="Remove" value="${book.bookId}" />
        </c:url>
        <strong><a href="<c:out value='${url}'/>"><fmt:message key="RemoveItem"/></a></strong> 
        </td></tr>

    </c:forEach>

    <tr><td colspan="5" bgcolor="#ffffff"> 
    <br></td></tr> 

    <tr> 
    <td colspan="2" align="right" bgcolor="#ffffff"> 
    <fmt:message key="Subtotal"/></td> 
    <td bgcolor="#ffffaa" align="right"> 
    <fmt:formatNumber value="${session.cart.total}" type="currency"/>    </td>
    <td><br></td>
    </tr></table> 

    <p>&nbsp;<p>
    <c:url var="url" value="${pageContext.request.contextPath}/catalog" >
      <c:param name="Add" value="" />
    </c:url>
    <strong><a href="<c:out value='${url}'/>"><fmt:message key="ContinueShopping"/></a>&nbsp;&nbsp;&nbsp;  
    <c:url var="url" value="${pageContext.request.contextPath}/cashier" />
    <a href="<c:out value='${url}'/>"><fmt:message key="Checkout"/></a>&nbsp;&nbsp;&nbsp; 
    <c:url var="url" value="${pageContext.request.contextPath}/showcart" >
      <c:param name="Clear" value="clear" />
      <c:param name="Remove" value="0" />
    </c:url>
    <a href="<c:out value='${url}'/>"><fmt:message key="ClearCart"/></a></strong>
</c:if>

<c:if test="${session.cart.numberOfItems <= 0}"> 
    <font size="+2"><fmt:message key="CartEmpty"/></font> 
    <br>&nbsp;<br> 
    <c:url var="url" value="${pageContext.request.contextPath}/catalog" >
      <c:param name="Add" value="" />
    </c:url>
    <strong><a href="<c:out value='${url}'/>"><fmt:message key="Catalog"/></a></strong>
</c:if>

</body>
</html>

